Skip to main content
POST
/
v2
/
mobility
/
tickets
/
{id}
/
extend
Ticket verlängern
curl --request POST \
  --url https://api.business-os.de/v2/mobility/tickets/{id}/extend \
  --header 'x-api-key: <api-key>'
{
  "id": "ticket-uuid",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "product_id": "prod_deutschlandticket",
  "product_name": "Deutschlandticket",
  "ticket_type": "subscription",
  "is_subscription": true,
  "coupon_id": "cpn_abc123",
  "ticket_id": "tkt_xyz789",
  "subscription_id": "sub_def456",
  "order_id": "ord_ghi012",
  "status": "active",
  "renewal_status": "pending",
  "current_cycle": 1,
  "tariff_settings": {},
  "valid_from": "2026-04-01T00:00:00.000Z",
  "valid_until": "2026-04-30T23:59:59.000Z",
  "price_in_cents": 4900,
  "metadata": {
    "order": {},
    "ticket": {},
    "product": {},
    "billable_item_id": "<string>"
  },
  "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

Dein Business OS API Key. Erstelle einen unter app.business-os.de → API Keys.

Path Parameters

id
string<uuid>
required

Ticket-ID

Response

Ticket verlängert

Ein ÖPNV-Ticket

id
string<uuid>

Ticket-ID

Example:

"ticket-uuid"

organization_id
string<uuid>

Organisations-ID

customer_id
string<uuid> | null

Kunden-ID (falls zugeordnet)

product_id
string

Produkt-ID

Example:

"prod_deutschlandticket"

product_name
string | null

Produktname

Example:

"Deutschlandticket"

ticket_type
string | null

Ticket-Typ

Example:

"subscription"

is_subscription
boolean

Ob es sich um ein Abo handelt

Example:

true

coupon_id
string

Coupon-ID bei Mobility Box

Example:

"cpn_abc123"

ticket_id
string | null

Ticket-ID bei Mobility Box

Example:

"tkt_xyz789"

subscription_id
string | null

Subscription-ID (nur bei Abos)

Example:

"sub_def456"

order_id
string | null

Order-ID bei Mobility Box

Example:

"ord_ghi012"

status
enum<string>

Ticket-Status

Available options:
active,
cancelled,
expired
Example:

"active"

renewal_status
enum<string> | null

Verlängerungsstatus (nur bei Abos)

Available options:
pending,
renewed,
null
Example:

"pending"

current_cycle
integer

Aktueller Abo-Zyklus

Example:

1

tariff_settings
object

Tarifspezifische Einstellungen

valid_from
string<date-time> | null

Gültig ab

Example:

"2026-04-01T00:00:00.000Z"

valid_until
string<date-time> | null

Gültig bis

Example:

"2026-04-30T23:59:59.000Z"

price_in_cents
integer | null

Preis in Cent

Example:

4900

metadata
object

Interne Metadaten (Order, Ticket, Produkt-IDs von Mobility Box)

invoice_id
string<uuid> | null

Rechnungs-ID (falls bereits abgerechnet)

created_at
string<date-time>

Erstellungszeitpunkt

updated_at
string<date-time>

Letzter Änderungszeitpunkt